品牌语调正在使用中

Moses Skoda工程师预计阅读 1 分钟

遇到此问题时,API 会返回 409 Conflict,其 type 为 https://lingo.dev/docs/api/errors/brand-voice-in-use。所有错误的通用结构,请参阅错误和状态码。

品牌语调 <id> 正被 2 个引擎使用,无法删除。请先将其从这些引擎中移除。

字段#

除标准的 type、status、title 和 detail 成员外,响应体还包含以下字段。detail 文本根据这些字段生成,因此客户端也可以显示自定义文本。

字段类型
idstring
engineCountinteger | null

示例#

json
{
  "detail": "Brand voice <id> cannot be deleted while 2 engines apply it. Detach it from those engines first.",
  "id": "<id>",
  "engineCount": 2,
  "type": "https://lingo.dev/docs/api/errors/brand-voice-in-use",
  "status": 409,
  "title": "Brand voice in use"
}

返回此错误的端点#

  • DELETE /v2/brand-voices/{id}